io.vertx.reactivex.circuitbreaker

## Class HystrixMetricHandler

- java.lang.Object
- - io.vertx.reactivex.circuitbreaker.HystrixMetricHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class HystrixMetricHandler
      extends Object
      implements Handler<RoutingContext>

  A Vert.x web handler to expose the circuit breaker to the Hystrix dasbboard. The handler listens to the circuit breaker notifications sent on the event bus.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<HystrixMetricHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HystrixMetricHandler(HystrixMetricHandler delegate)`
    `HystrixMetricHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HystrixMetricHandler` | `create(Vertx vertx)` Creates the handler, using the default notification address and listening to local messages only.
    `static HystrixMetricHandler` | `create(Vertx vertx, String address)` Creates the handler, listening only to local messages.
    `static HystrixMetricHandler` | `create(Vertx vertx, String address, boolean localOnly)` Creates the handler.
    `boolean` | `equals(Object o)`
    `HystrixMetricHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static HystrixMetricHandler` | `newInstance(HystrixMetricHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HystrixMetricHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### HystrixMetricHandler

          public HystrixMetricHandler(HystrixMetricHandler delegate)

    - #### HystrixMetricHandler

          public HystrixMetricHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HystrixMetricHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static HystrixMetricHandler create(Vertx vertx)

      Creates the handler, using the default notification address and listening to local messages only.
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the handler

    - #### create

          public static HystrixMetricHandler create(Vertx vertx,
                                                    String address)

      Creates the handler, listening only to local messages.
      Parameters:
        `vertx` - the Vert.x instance
        `address` - the address to listen on the event bus
      Returns:
        the handler

    - #### create

          public static HystrixMetricHandler create(Vertx vertx,
                                                    String address,
                                                    boolean localOnly)

      Creates the handler.
      Parameters:
        `vertx` - the Vert.x instance
        `address` - the address to listen on the event bus
        `localOnly` - whether the consumer should only receive messages sent from this Vert.x instance
      Returns:
        the handler

    - #### newInstance

          public static HystrixMetricHandler newInstance(HystrixMetricHandler arg)

Copyright © 2024 Eclipse. All rights reserved.